Skip to main content

Getting started

This page describes how to start with the SVAR Vue DataGrid component by adding a simple table to your Vue application.

Step 1. Install the package​

SVAR DataGrid is an open-source library distributed under the MIT license.

Install package from NPM.

npm install @svar-ui/vue-grid

Step 2. Create and initialize the Grid​

Import the Grid component to your project:

<script setup>
import { Grid } from "@svar-ui/vue-grid";
</script>

Initialize the Grid properties.

The example below shows how to create a simple table with six columns and two rows.

The data array holds data to be displayed in the table and the columns array includes the table columns. Pass the data and columns arrays to the Grid tag as properties.

<script setup>
import { Grid } from "@svar-ui/vue-grid";

const data = [{
id: 1,
city: "Amieshire",
email: "Leora13@yahoo.com",
firstName: "Ernest",
lastName: "Schuppe",
companyName: "Lebsack - Nicolas",
},
{
id: 2,
city: "Gust",
email: "Mose_Gerhold51@yahoo.com",
firstName: "Janis",
lastName: "Vandervort",
companyName: "Glover - Hermiston",
},
];

const columns = [{
id: "id",
width: 50
},
{
id: "city",
width: 100,
header: "City",
footer: "City",
},
{
id: "firstName",
header: "First Name",
footer: "First Name",
width: 150,
},
{
id: "lastName",
header: "Last Name",
footer: "Last Name",
width: 150,
},
{
id: "email",
header: "Email",
footer: "Email"
},
{
id: "companyName",
header: "Company",
footer: "Company"
},
];
</script>

<template>
<Grid :data="data" :columns="columns" />
</template>

For more instructions about loading data, see Loading data.

Step 3. Apply a theme and load styles​

To add look and feel to the application, import one of the predefined themes (Willow or WillowDark) and add styles, which will also make all elements display correctly.

Apply the desired theme by wrapping Grid into the required theme tag. To add styles to grid, import all.css file.

<script setup>
import { getData } from "./common/data";
import { Grid } from "@svar-ui/vue-grid";
import { Willow } from "@svar-ui/vue-grid";
import "@svar-ui/vue-grid/all.css"; //import css file from the package

</script>

<template>
<Willow>
<Grid :data="data" :columns="columns" />
</Willow>
</template>

Step 4. Run the sample locally​

To run your Vue application with the installed package on a local machine, navigate to the vue-grid folder, install the necessary dependencies and start the development server:

// navigate to the root folder
cd vue-grid

// install dependencies
yarn install //or npm install

// start dev server
yarn dev //or npm run dev

What's next​

Now when you know how to create a simple data table with Vue DataGrid, you are ready to dive deeper into the Grid API and get down to configuring it to your needs:

  • Guides pages provide instructions about installation, loading data, styling, and other helpful tips to go smoothly with the DataGrid configuration
  • DataGrid API reference gives description of the DataGrid functionality
  • Helpers pages describe how to use RestDataProvider that will make the process of working with backend easy and enjoyable

Skip to main content

Getting started

This page describes how to start with the SVAR React DataGrid component by adding a simple table to your React application.

Step 1. Install the package​

SVAR DataGrid is an open-source library distributed under the MIT license.

Install package from NPM.

npm install @svar-ui/react-grid

Step 2. Create and initialize the Grid​

Import the Grid component to your project:

import { Grid } from "@svar-ui/react-grid";
import "@svar-ui/react-grid/all.css";

Initialize the Grid properties.

The example below shows how to create a simple table with six columns and two rows.

The data array holds data to be displayed in the table and the columns array includes the table columns. It's possible to provide components as children of the Grid tag (React children).

import { Grid } from "@svar-ui/react-grid";
import "@svar-ui/react-grid/all.css";

const data = [
{
id: 1,
city: "Amieshire",
email: "Leora13@yahoo.com",
firstName: "Ernest",
lastName: "Schuppe",
companyName: "Lebsack - Nicolas",
},
{
id: 2,
city: "Gust",
email: "Mose_Gerhold51@yahoo.com",
firstName: "Janis",
lastName: "Vandervort",
companyName: "Glover - Hermiston",
},
];

const columns = [
{ id: "id", width: 50 },
{ id: "city", width: 100, header: "City", footer: "City" },
{ id: "firstName", header: "First Name", footer: "First Name", width: 150 },
{ id: "lastName", header: "Last Name", footer: "Last Name", width: 150 },
{ id: "email", header: "Email", footer: "Email" },
{ id: "companyName", header: "Company", footer: "Company" },
];

export default function App() {
return <Grid data={data} columns={columns} />;
}

More instructions about loading data you can see here Loading data.

Step 3. Apply a theme and add styles​

To add look and feel to the application, import one of the predefined themes (Willow or WillowDark) and add styles, which will also make all elements display correctly.

import { getData } from "./common/data";
import { Grid, Willow } from "@svar-ui/react-grid"; //import the component and theme
import "@svar-ui/react-grid/all.css"; //import styles

const data = getData();
const columns = [ /* ... */ ];

export default function App() {
return (
<Willow>
<Grid data={data} columns={columns} />
</Willow>
);
}

Apply the desired theme by wrapping Grid into the required theme component:

import { getData } from "./common/data";
import { Grid, Willow } from "@svar-ui/react-grid";
import "@svar-ui/react-grid/all.css";

const data = getData();
const columns = [ /* ... */ ];

export default function App() {
return (
<Willow>
<Grid data={data} columns={columns} />
</Willow>
);
}

Step 4. Run the sample locally​

To run your React application with the installed package on a local machine, navigate to the react-grid folder, install the necessary dependencies and start the development server:

# navigate to the root folder
cd react-grid

# install dependencies
npm install

# start dev server
npm run dev

What's next​

Dive deeper into the Grid API and get down to configuring it to your needs:

  • Guides pages provide instructions about installation, loading data, styling, and other helpful tips to go smoothly with the DataGrid configuration
  • DataGrid API reference gives description of the DataGrid functionality
  • Helpers pages describe how to use RestDataProvider that will make the process of working with backend easy and enjoyable